---
import Clients from "../components/Clients.astro";
import Footer from "../components/Footer.astro";
import MainNav from "../components/MainNav.astro";
import Layout from "../layouts/Layout.astro";
---

<Layout title="Home">
    <div class="md:hidden">
        <MainNav />
    </div>
    <div
        class="lg:bg-[url('/main.png')] bg-no-repeat bg-cover md:bg-center w-full md:h-screen bg-[url('/mobile-main.png')]"
    >
        <div class="container p-5">
            <div class="hidden md:block">
                <MainNav />
            </div>
            <div
                class="md:grid md:place-items-center md:h-screen text-center pt-16 md:pt-0"
            >
                <div class="mb-16 middle-box">
                    <h1
                        class="md:text-7xl text-4xl text-white font-bold leading-10"
                    >
                        What are you <br />searching for?
                    </h1>
                    <div class="mt-12">
                        <div class="inline-block w-1/2 md:w-auto px-2">
                            <button
                                onclick="clicked(this)"
                                class="w-full mb-2 md:mb-0 item-buttons bg-white border-b-2 border-b-yellow border-opacity-0 hover:border-opacity-100 text-sm text-darkBlue font-medium py-4 px-6"
                            >
                                <img
                                    class="inline-block"
                                    src="home.svg"
                                    data-normal="home.svg"
                                    data-active="home-fill.svg"
                                    alt="home"
                                />
                                <span class="ml-2">Company</span>
                            </button>
                        </div><div class="inline-block w-1/2 md:w-auto px-2">
                            <button
                                onclick="clicked(this)"
                                class="w-full mb-2 md:mb-0 item-buttons bg-white border-b-2 border-b-yellow border-opacity-0 hover:border-opacity-100 text-sm text-darkBlue font-medium py-4 px-6"
                            >
                                <img
                                    class="inline-block"
                                    src="property.svg"
                                    data-normal="property.svg"
                                    data-active="property-fill.svg"
                                    alt="property"
                                />
                                <span class="ml-2">Property</span>
                            </button>
                        </div><div class="inline-block w-1/2 md:w-auto px-2">
                            <button
                                onclick="clicked(this)"
                                class="w-full mb-2 md:mb-0 item-buttons bg-white border-b-2 border-b-yellow border-opacity-0 hover:border-opacity-100 text-sm text-darkBlue font-medium py-4 px-6"
                            >
                                <img
                                    class="inline-block"
                                    src="profile.svg"
                                    data-normal="profile.svg"
                                    data-active="profile-fill.svg"
                                    alt="person"
                                />
                                <span class="ml-2">Person</span>
                            </button>
                        </div><div class="inline-block w-1/2 md:w-auto px-2">
                            <button
                                onclick="clicked(this)"
                                class="w-full mb-2 md:mb-0 item-buttons bg-white border-b-2 border-b-yellow border-opacity-0 hover:border-opacity-100 text-sm text-darkBlue font-medium py-4 px-6 otherInput"
                            >
                                <img
                                    class="inline-block"
                                    src="car.svg"
                                    data-normal="car.svg"
                                    data-active="car-fill.svg"
                                    alt="car"
                                />
                                <span class="ml-2">Car</span>
                            </button>
                        </div>
                    </div>
                    <form action="" class="mx-2 mt-4">
                        <div
                            id="otherInput"
                            class="form-fields md:w-auto inline-block align-middle border-2 border-transparent"
                        >
                            <div class="inline-block double-input">
                                <input
                                    type="text"
                                    class="searchitem bg-white py-5 px-6 w-full text-base text-darkBlue font-normal placeholder-darkBlue focus:outline-none"
                                    placeholder="Name"
                                />
                            </div><div
                                class="inline-block double-input border-left-half"
                            >
                                <input
                                    type="text"
                                    class="searchitem bg-white py-5 px-6 w-full text-base text-darkBlue font-normal placeholder-darkBlue focus:outline-none"
                                    placeholder="ID"
                                />
                            </div>
                        </div><div
                            id="carInput"
                            class="form-fields md:w-auto inline-block align-middle hidden"
                        >
                            <input
                                type="text"
                                class="searchitem bg-white py-5 px-6 w-full text-base text-darkBlue font-normal placeholder-darkBlue focus:outline-none"
                                placeholder="Registration Number"
                            />
                        </div><button
                            class="w-full md:w-auto bg-yellow md:ml-3 rtl:md:ml-0 rtl:md:mr-3 md:mt-0 mt-1 text-center p-4 border border-yellow inline-block align-middle"
                            ><img
                                src="search.png"
                                class="lg:w-[30px] lg:h-[30px] md:w-[25px] md:h-[25px] inline-block align-middle"
                                alt=""
                            /><span
                                class="md:hidden text-white align-middle mx-2 font-medium"
                                >Search</span
                            ></button
                        >
                    </form>
                </div>
            </div>
        </div>
    </div>
</Layout>
<div class="container p-5">
    <div>
        <Clients clients={5} />
    </div>
</div>
<div class="md:hidden">
    <Footer />
</div>

<style>
    .border-left-half {
        position: relative;
    }
    .border-left-half:before {
        position: absolute;
        width: 2px;
        content: "";
        background-color: #19236d;
        height: 40px;
        left: -1px;
        top: 12px;
        border-radius: 1px;
        opacity: 0.4;
    }
    .double-input {
        width: 50%;
    }
    .form-fields {
        width: 100%;
    }
    @media (min-width: 768px) {
        .form-fields {
            width: calc(100% - calc(32px + 2.75rem));
        }
    }
    .middle-box {
        max-width: 588px;
    }
</style>
<script type="text/javascript">
    const searchItemButton = document.querySelectorAll(".item-buttons");
    const carInput = document.querySelector("#carInput");
    const otherInput = document.querySelector("#otherInput");
    // const img = document.querySelector("img");

    function clicked(currentButton) {
        searchItemButton.forEach((element) => {
            element.classList.add("border-opacity-0");
            const img = element.querySelector("img");
            img.src = img.dataset.normal;
        });
        currentButton.classList.remove("border-opacity-0");
        const img = currentButton.querySelector("img");
        img.src = img.dataset.active;
        if (currentButton.classList.contains("otherInput")) {
            carInput.classList.remove("hidden");
            otherInput.classList.add("hidden");
        } else {
            carInput.classList.add("hidden");
            otherInput.classList.remove("hidden");
        }
    }
</script>
